Bug 134035 - [x86_64]htt_xbe segfaults when the applications start to run
[x86_64]htt_xbe segfaults when the applications start to run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
: 134186 (view as bug list)
Depends On:
Blocks: IIIMF 135876 137149
  Show dependency treegraph
 
Reported: 2004-09-29 01:36 EDT by Akira TAGOH
Modified: 2009-01-10 04:34 EST (History)
4 users (show)

See Also:
Fixed In Version: im-sdk-12.1-9.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 03:41:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
im-sdk-x86-64-vararg.patch (7.52 KB, patch)
2004-10-18 22:43 EDT, Yu Shao
no flags Details | Diff
im-sdk-x-xft.patch (12.54 KB, patch)
2004-10-18 22:44 EDT, Yu Shao
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2004-09-29 01:36:44 EDT
Description of problem:
SSIA

here is the backtrace:
#0  0x000000347f159193 in XFreeFontSet () from
/usr/X11R6/lib64/libX11.so.6
#1  0x000000347f1599ba in XSetICValues () from
/usr/X11R6/lib64/libX11.so.6
#2  0x000000000041843c in XInputContext::SetExtensionCallbacks ()
#3  0x0000000000417d73 in XInputContext::XInputContext ()
#4  0x000000000041557a in CreateXIC ()
#5  0x000000000042a487 in _Xi18nChangeIC ()
#6  0x0000000000426ed2 in CreateICMessageProc ()
#7  0x0000000000428860 in _Xi18nMessageHandler ()
#8  0x000000000041e7f3 in WaitXIMProtocol ()
#9  0x000000347f15b7d3 in XFilterEvent () from
/usr/X11R6/lib64/libX11.so.6
#10 0x00000000004154a5 in R6IMProtocol::xevent_loop ()
#11 0x000000347f305d74 in start_thread () from /lib64/tls/libpthread.so.0
#12 0x000000347eac2a13 in thread_start () from /lib64/tls/libc.so.6
#13 0x0000000000000000 in ?? ()
#14 0x0000000000000000 in ?? ()
#15 0x0000000000000000 in ?? ()
#16 0x0000000000000000 in ?? ()
#17 0x0000000000000000 in ?? ()
#18 0x0000000000000000 in ?? ()
#19 0x0000000000000000 in ?? ()
#20 0x0000000000000000 in ?? ()
#21 0x0000000000000000 in ?? ()
#22 0x0000000000000000 in ?? ()
#23 0x000000347ec03500 in _nl_C_locobj () from /lib64/tls/libc.so.6
#24 0x00000000409ffdc0 in ?? ()
#25 0x0000000000000002 in ?? ()
#26 0x0000000000000000 in ?? ()
#27 0x0000000000000000 in ?? ()
#28 0x0000000000000000 in ?? ()
#29 0x000000347ec05560 in __malloc_initialize_hook () from
/lib64/tls/libc.so.6
#30 0x0000000000000000 in ?? ()
#31 0x0000000000000000 in ?? ()
#32 0x0000000000000000 in ?? ()
#33 0x00000000409ff960 in ?? ()
#34 0x0000000000568e18 in ?? ()
#35 0x00000000409ff960 in ?? ()
#36 0x0000000000000001 in ?? ()
#37 0x0000000000000000 in ?? ()
#38 0x0000000000000000 in ?? ()
#39 0x0000000000000000 in ?? ()
#40 0x0000000000000000 in ?? ()
#41 0x0000000000000000 in ?? ()
#42 0x0000000000000000 in ?? ()
#43 0x0000000000000000 in ?? ()
#44 0x0000000000000000 in ?? ()
#45 0x0000000000000000 in ?? ()
#46 0x0000000000000000 in ?? ()
#47 0x0000000000000000 in ?? ()
#48 0x0000000000000000 in ?? ()
#49 0x000000347f401220 in stack_cache_maxsize ()
   from /lib64/tls/libpthread.so.0
#50 0x000000347f401220 in stack_cache_maxsize ()
   from /lib64/tls/libpthread.so.0
#51 0x00001b4300001b48 in ?? ()
#52 0x0000000000000000 in ?? ()
#53 0x00000000409ff840 in ?? ()
#54 0x0000000000000000 in ?? ()
#55 0x0000000000000000 in ?? ()
#56 0x0000000000000000 in ?? ()
#57 0x0000000000000000 in ?? ()
#58 0x0000000000000000 in ?? ()
#59 0x0000000000000000 in ?? ()
#60 0x0000000000000000 in ?? ()
#61 0x0000000000000000 in ?? ()
#62 0x0000000000000000 in ?? ()
#63 0x0000000000000000 in ?? ()
#64 0x0000000000000000 in ?? ()
#65 0x0000000000000000 in ?? ()
#66 0x0000000000000000 in ?? ()
#67 0x0000000000000000 in ?? ()
#68 0x0000000000000000 in ?? ()
#69 0x0000000000000000 in ?? ()
#70 0x0000000000000000 in ?? ()
#71 0x0000000000000000 in ?? ()
#72 0x0000000000000000 in ?? ()
#73 0x0000000000000000 in ?? ()
#74 0x0000000000000000 in ?? ()
#75 0x0000000000000000 in ?? ()
#76 0x0000000000000000 in ?? ()
#77 0x0000000000000000 in ?? ()
#78 0x0000000000000000 in ?? ()
#79 0x0000000000000000 in ?? ()
#80 0x0000000000000000 in ?? ()
#81 0x0000000000000000 in ?? ()
#82 0x0000000000000000 in ?? ()
#83 0x0000000000000000 in ?? ()
#84 0x0000000000000000 in ?? ()
#85 0x0000000000000000 in ?? ()
#86 0x0000000000000000 in ?? ()
#87 0x0000000000000000 in ?? ()
#88 0x0000000000000000 in ?? ()
#89 0x0000000000000000 in ?? ()
#90 0x0000000000000000 in ?? ()
#91 0x0000000000000000 in ?? ()
#92 0x0000000000000000 in ?? ()
#93 0x0000000000000000 in ?? ()
#94 0x0000000000000000 in ?? ()
#95 0x0000000000000000 in ?? ()
#96 0x0000000000000000 in ?? ()
#97 0x0000000000000000 in ?? ()
#98 0x0000000000000000 in ?? ()
#99 0x0000000000000000 in ?? ()
#100 0x0000000000000000 in ?? ()
#101 0x0000000000000000 in ?? ()
#102 0x0000000000000000 in ?? ()
#103 0x0000000000000000 in ?? ()
#104 0x0000000000000000 in ?? ()
#105 0x0000000000000000 in ?? ()
#106 0x0000000000000000 in ?? ()
#107 0x0000000000000000 in ?? ()
#108 0x0000000000000000 in ?? ()
#109 0x0000000000000000 in ?? ()
#110 0x0000000000000000 in ?? ()
#111 0x0000000000000000 in ?? ()
#112 0x0000000000000000 in ?? ()
#113 0x0000000000000000 in ?? ()
#114 0x0000000000000000 in ?? ()
#115 0x0000000000000000 in ?? ()
#116 0x0000000000000000 in ?? ()
#117 0x0000000000000000 in ?? ()
#118 0x0000000000000000 in ?? ()
#119 0x0000000000000000 in ?? ()
#120 0x00000000409ffa10 in ?? ()
#121 0x0000000000000000 in ?? ()
#122 0x0000000000000000 in ?? ()
#123 0x0000000000000000 in ?? ()
#124 0x0000000000000000 in ?? ()
#125 0x0000000000000000 in ?? ()
#126 0x0000000000000000 in ?? ()
#127 0x0000000000000000 in ?? ()
#128 0x0000000000000000 in ?? ()
#129 0x0000000000000000 in ?? ()
#130 0x0000000000000000 in ?? ()
#131 0x0000000000000000 in ?? ()
#132 0x0000000000000000 in ?? ()
#133 0x0000000000000000 in ?? ()
#134 0x0000000000000000 in ?? ()
#135 0x0000000000000000 in ?? ()
#136 0x0000000000000000 in ?? ()
#137 0x0000000000000000 in ?? ()
#138 0x0000000000000000 in ?? ()
#139 0x0000000000000000 in ?? ()
#140 0x0000000000000000 in ?? ()
#141 0x0000000000000000 in ?? ()
#142 0x0000000000000000 in ?? ()
#143 0x0000000000000000 in ?? ()
#144 0x0000000000000000 in ?? ()
#145 0x0000000000000000 in ?? ()
#146 0x0000000000000000 in ?? ()
#147 0x0000000000000000 in ?? ()
#148 0x0000000000000000 in ?? ()
#149 0x0000000000000000 in ?? ()
#150 0x0000000000000000 in ?? ()
#151 0x0000000000000000 in ?? ()
#152 0x0000000000000001 in ?? ()
#153 0x00060015451c91c9 in ?? ()
#154 0x0000000000000000 in ?? ()
#155 0x0000000000000000 in ?? ()
#156 0x0000000000000000 in ?? ()
#157 0x0000000000000000 in ?? ()
#158 0x0000000000415466 in R6IMProtocol::run ()
Previous frame inner to this frame (corrupt stack?)


Version-Release number of selected component (if applicable):
iiimf-x-12.0.1-8.svn1891

How reproducible:
Always

Steps to Reproduce:
1.run htt_xbe instead of httx to make sure it segfaults
2.run KDE apps say
3.
    

Actual Results:  segfaults

Expected Results:  run properly

Additional info:
Comment 4 Yu Shao 2004-10-18 22:43:30 EDT
Created attachment 105415 [details]
im-sdk-x86-64-vararg.patch
Comment 5 Yu Shao 2004-10-18 22:44:09 EDT
Created attachment 105416 [details]
im-sdk-x-xft.patch
Comment 6 Yu Shao 2004-10-18 22:46:54 EDT
*** Bug 134186 has been marked as a duplicate of this bug. ***
Comment 7 Yu Shao 2004-10-18 22:49:12 EDT
Please anyone going to make the next build include these two patches,
im-sdk-x-xft.patch is updated, overwriting the old im-sdk-x-xft.patch
is fine.
Comment 8 Lawrence Lim 2004-10-20 02:43:02 EDT
Tested with im-sdk-12.1-2 which contains the patch for this bug and
unfortunately, the seg fault is still around. As a result, Qt
application cannot detect the Input Method Context. Hence, no IM
available when using Qt application.

[root@dhcp-209 ~]# htt_xbe
Segmentation fault
[root@dhcp-209 ~]#
Comment 9 Lawrence Lim 2004-10-20 02:45:17 EDT
If you happen to run httx manually. This is what happen, in the back
trace, it says httx is forking out new process after it crash.

[root@dhcp-209 ~]# httx
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
htt : Warning - htt_server died and recovered
Comment 10 Yu Shao 2004-10-20 03:49:53 EDT
Just some information, my testing case working was 12.1-1 plus those
two patches and building locally.
Comment 11 Akira TAGOH 2004-10-20 08:46:47 EDT
well, perhaps Bug#136455 might affects this too.
Comment 12 Leon Ho 2004-10-20 12:38:58 EDT
Lawrence, Shao, this is the current backtrace of the new seg fault:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 182894152576 (LWP 10318)]
IMList<IMTriggerKey>::destroy (this=0x7fbffff6e0) at IMList.hh:256
256     IMList.hh: \u6c92\u6709\u6b64\u4e00\u6a94\u6848\u6216\u76ee\u9304.
        in IMList.hh
(gdb) up
#1  0x0000000000405d61 in ~IMTriggerKeyList (this=0x7fbffff6e0)
    at common/IMTriggerKeyList.cpp:50
50        keylist.destroy();
(gdb) l
45        int n = count();
46        for (int i = 1; i <= n; i++) {
47          IMTriggerKey *keyp =&(getKey(i));
48          delete keyp;
49        }
50        keylist.destroy();
51      }
52
53      IMTriggerKeyList::IMTriggerKeyList(const char *keystring) {
54        add(keystring);

Filename: im-sdk/iiimxcf/htt_xbe/lib/IMdkit/common/IMTriggerKeyList.cpp
Comment 15 Yu Shao 2004-11-19 01:22:49 EST
committed the patch to both RHEL4 and devel branches:
im-sdk-htt_xbe-crash.patch
Comment 16 Lawrence Lim 2004-11-22 03:41:08 EST
Confirmed fixed in im-sdk-12.1-9.EL. Tested with CJK LE and UnitLE in
KDE desktop environment.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.